%global name xinput_calibrator
%global version 0.7.0
%global release 1%{?dist}
%global _prefix /usr

Summary: A generic touchscreen calibration program for X.Org
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://github.com/downloads/tias/xinput_calibrator/%{name}-%{version}.tar.gz
URL: http://www.freedesktop.org/wiki/Software/xinput_calibrator
License: MIT
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtkmm24-devel desktop-file-utils

%description
xinput_calibrator is a program for calibrating your touchscreen, when using
the X Window System.
It currently features:
 - a minimalist and intuitive GUI
 - works for any standard Xorg touchscreen driver (uses XInput)
 - can output the calibration in xorg.conf, FDI and udev format
 - can dynamically recalibrate the evdev driver
 - and more

%prep
%setup -q

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                    \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changelog README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Aug 02 2010 Tias Guns <tias@ulyssis.org> 0.7.0-1
- New upstream release (packaging changes, misclick detection)
* Mon Jul 26 2010 Dave Ludlow <dave@adsllc.com> 0.6.2-1
- Initial packaging
